Package com.complexible.stardog.db

# Enum Class DatabaseOptions.TransactionIsolation

java.lang.Object
java.lang.Enum<DatabaseOptions.TransactionIsolation>
com.complexible.stardog.db.DatabaseOptions.TransactionIsolation

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseOptions.TransactionIsolation>`, `Constable`

Enclosing class:
  `DatabaseOptions`

public static enum DatabaseOptions.TransactionIsolation extends Enum<DatabaseOptions.TransactionIsolation>
Different types of transaction isolation supported by Stardog.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SERIALIZABLE`
  Serializable transactions provides the highest level of isolation between transactions by acquiring an exclusive lock at the beginning of a transaction.
  `SNAPSHOT`
  Snapsot isolation is when each transaction reads from a snapshot of the database when the transaction started.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DatabaseOptions.TransactionIsolation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatabaseOptions.TransactionIsolation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SNAPSHOT

    public static final DatabaseOptions.TransactionIsolation SNAPSHOT
    Snapsot isolation is when each transaction reads from a snapshot of the database when the transaction started. This isolation level provides highest throughput by allowing concurrent transactions to continue. But at commit time, the changes made in a transaction are applied to the latest version of the database contents which might have changed after the transaction started.

  - ### SERIALIZABLE

    public static final DatabaseOptions.TransactionIsolation SERIALIZABLE
    Serializable transactions provides the highest level of isolation between transactions by acquiring an exclusive lock at the beginning of a transaction. Therefore, any value read in a transaction is guaranteed to hold at commit time as well. Exclusive locks reduce the throughput of concurrent write transactions.

- ## Method Details

  - ### values

    public static DatabaseOptions.TransactionIsolation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatabaseOptions.TransactionIsolation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null